PETSc version 3.17.4
Fix/Edit manual page

# DMPlexMetricSetUniform

Record whether a metric is uniform

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricSetUniform(DM dm, PetscBool uniform)

### Input parameters

| dm | - The DM
| uniform | - Is the metric uniform?

### Notes

If the metric is specified as uniform then it is assumed to be isotropic, too.

### See Also

DMPlexMetricIsUniform(), DMPlexMetricSetIsotropic(), DMPlexMetricSetRestrictAnisotropyFirst()

### Level

beginner

### Location

src/dm/impls/plex/plexmetric.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages